import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteScheduledActionInput } from "../types/DeleteScheduledActionInput";
import { DeleteScheduledActionOutput } from "../types/DeleteScheduledActionOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DeleteScheduledActionInput";
export * from "../types/DeleteScheduledActionOutput";
export * from "../types/DeleteScheduledActionExceptionsUnion";
export declare class DeleteScheduledActionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteScheduledActionInput, OutputTypesUnion, DeleteScheduledActionOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DeleteScheduledActionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteScheduledActionInput, DeleteScheduledActionOutput, Blob>;
    constructor(input: DeleteScheduledActionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DeleteScheduledActionInput, DeleteScheduledActionOutput>;
}
