import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeScalableTargetsInput } from "../types/DescribeScalableTargetsInput";
import { DescribeScalableTargetsOutput } from "../types/DescribeScalableTargetsOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DescribeScalableTargetsInput";
export * from "../types/DescribeScalableTargetsOutput";
export * from "../types/DescribeScalableTargetsExceptionsUnion";
export declare class DescribeScalableTargetsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeScalableTargetsInput, OutputTypesUnion, DescribeScalableTargetsOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DescribeScalableTargetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeScalableTargetsInput, DescribeScalableTargetsOutput, Blob>;
    constructor(input: DescribeScalableTargetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DescribeScalableTargetsInput, DescribeScalableTargetsOutput>;
}
