import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutScalingPolicyInput } from "../types/PutScalingPolicyInput";
import { PutScalingPolicyOutput } from "../types/PutScalingPolicyOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/PutScalingPolicyInput";
export * from "../types/PutScalingPolicyOutput";
export * from "../types/PutScalingPolicyExceptionsUnion";
export declare class PutScalingPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, PutScalingPolicyInput, OutputTypesUnion, PutScalingPolicyOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: PutScalingPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutScalingPolicyInput, PutScalingPolicyOutput, Blob>;
    constructor(input: PutScalingPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<PutScalingPolicyInput, PutScalingPolicyOutput>;
}
