import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterScalableTargetInput } from "../types/RegisterScalableTargetInput";
import { RegisterScalableTargetOutput } from "../types/RegisterScalableTargetOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/RegisterScalableTargetInput";
export * from "../types/RegisterScalableTargetOutput";
export * from "../types/RegisterScalableTargetExceptionsUnion";
export declare class RegisterScalableTargetCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterScalableTargetInput, OutputTypesUnion, RegisterScalableTargetOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: RegisterScalableTargetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterScalableTargetInput, RegisterScalableTargetOutput, Blob>;
    constructor(input: RegisterScalableTargetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<RegisterScalableTargetInput, RegisterScalableTargetOutput>;
}
