"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteScalingPolicyInput_1 = require("../shapes/DeleteScalingPolicyInput");
var DeleteScalingPolicyOutput_1 = require("../shapes/DeleteScalingPolicyOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ObjectNotFoundException_1 = require("../shapes/ObjectNotFoundException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteScalingPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteScalingPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteScalingPolicyInput_1.DeleteScalingPolicyInput
    },
    output: {
        shape: DeleteScalingPolicyOutput_1.DeleteScalingPolicyOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ObjectNotFoundException_1.ObjectNotFoundException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DeleteScalingPolicy.js.map