"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteScheduledActionInput_1 = require("../shapes/DeleteScheduledActionInput");
var DeleteScheduledActionOutput_1 = require("../shapes/DeleteScheduledActionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ObjectNotFoundException_1 = require("../shapes/ObjectNotFoundException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteScheduledAction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteScheduledAction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteScheduledActionInput_1.DeleteScheduledActionInput
    },
    output: {
        shape: DeleteScheduledActionOutput_1.DeleteScheduledActionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ObjectNotFoundException_1.ObjectNotFoundException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DeleteScheduledAction.js.map