"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterScalableTargetInput_1 = require("../shapes/DeregisterScalableTargetInput");
var DeregisterScalableTargetOutput_1 = require("../shapes/DeregisterScalableTargetOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ObjectNotFoundException_1 = require("../shapes/ObjectNotFoundException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterScalableTarget = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterScalableTarget",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeregisterScalableTargetInput_1.DeregisterScalableTargetInput
    },
    output: {
        shape: DeregisterScalableTargetOutput_1.DeregisterScalableTargetOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ObjectNotFoundException_1.ObjectNotFoundException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DeregisterScalableTarget.js.map