"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeScalableTargetsInput_1 = require("../shapes/DescribeScalableTargetsInput");
var DescribeScalableTargetsOutput_1 = require("../shapes/DescribeScalableTargetsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeScalableTargets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeScalableTargets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeScalableTargetsInput_1.DescribeScalableTargetsInput
    },
    output: {
        shape: DescribeScalableTargetsOutput_1.DescribeScalableTargetsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DescribeScalableTargets.js.map