"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeScalingPoliciesInput_1 = require("../shapes/DescribeScalingPoliciesInput");
var DescribeScalingPoliciesOutput_1 = require("../shapes/DescribeScalingPoliciesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var FailedResourceAccessException_1 = require("../shapes/FailedResourceAccessException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeScalingPolicies = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeScalingPolicies",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeScalingPoliciesInput_1.DescribeScalingPoliciesInput
    },
    output: {
        shape: DescribeScalingPoliciesOutput_1.DescribeScalingPoliciesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: FailedResourceAccessException_1.FailedResourceAccessException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DescribeScalingPolicies.js.map