"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeScheduledActionsInput_1 = require("../shapes/DescribeScheduledActionsInput");
var DescribeScheduledActionsOutput_1 = require("../shapes/DescribeScheduledActionsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeScheduledActions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeScheduledActions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeScheduledActionsInput_1.DescribeScheduledActionsInput
    },
    output: {
        shape: DescribeScheduledActionsOutput_1.DescribeScheduledActionsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DescribeScheduledActions.js.map