"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutScheduledActionInput_1 = require("../shapes/PutScheduledActionInput");
var PutScheduledActionOutput_1 = require("../shapes/PutScheduledActionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ObjectNotFoundException_1 = require("../shapes/ObjectNotFoundException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutScheduledAction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutScheduledAction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutScheduledActionInput_1.PutScheduledActionInput
    },
    output: {
        shape: PutScheduledActionOutput_1.PutScheduledActionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ObjectNotFoundException_1.ObjectNotFoundException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=PutScheduledAction.js.map