"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MetricDimensions_1 = require("./_MetricDimensions");
exports._CustomizedMetricSpecification = {
    type: "structure",
    required: ["MetricName", "Namespace", "Statistic"],
    members: {
        MetricName: {
            shape: {
                type: "string"
            }
        },
        Namespace: {
            shape: {
                type: "string"
            }
        },
        Dimensions: {
            shape: _MetricDimensions_1._MetricDimensions
        },
        Statistic: {
            shape: {
                type: "string"
            }
        },
        Unit: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_CustomizedMetricSpecification.js.map