"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ScalableTarget = {
    type: "structure",
    required: [
        "ServiceNamespace",
        "ResourceId",
        "ScalableDimension",
        "MinCapacity",
        "MaxCapacity",
        "RoleARN",
        "CreationTime"
    ],
    members: {
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        MinCapacity: {
            shape: {
                type: "integer"
            }
        },
        MaxCapacity: {
            shape: {
                type: "integer"
            }
        },
        RoleARN: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_ScalableTarget.js.map