"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PredefinedMetricSpecification_1 = require("./_PredefinedMetricSpecification");
var _CustomizedMetricSpecification_1 = require("./_CustomizedMetricSpecification");
exports._TargetTrackingScalingPolicyConfiguration = {
    type: "structure",
    required: ["TargetValue"],
    members: {
        TargetValue: {
            shape: {
                type: "float"
            }
        },
        PredefinedMetricSpecification: {
            shape: _PredefinedMetricSpecification_1._PredefinedMetricSpecification
        },
        CustomizedMetricSpecification: {
            shape: _CustomizedMetricSpecification_1._CustomizedMetricSpecification
        },
        ScaleOutCooldown: {
            shape: {
                type: "integer"
            }
        },
        ScaleInCooldown: {
            shape: {
                type: "integer"
            }
        },
        DisableScaleIn: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_TargetTrackingScalingPolicyConfiguration.js.map