import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteScalingPolicyInput } from "../types/DeleteScalingPolicyInput";
import { DeleteScalingPolicyOutput } from "../types/DeleteScalingPolicyOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DeleteScalingPolicyInput";
export * from "../types/DeleteScalingPolicyOutput";
export * from "../types/DeleteScalingPolicyExceptionsUnion";
export declare class DeleteScalingPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteScalingPolicyInput, OutputTypesUnion, DeleteScalingPolicyOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DeleteScalingPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteScalingPolicyInput, DeleteScalingPolicyOutput, Blob>;
    constructor(input: DeleteScalingPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DeleteScalingPolicyInput, DeleteScalingPolicyOutput>;
}
