"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteScalingPolicy_1 = require("../model/operations/DeleteScalingPolicy");
var DeleteScalingPolicyCommand = /** @class */ (function () {
    function DeleteScalingPolicyCommand(input) {
        this.input = input;
        this.model = DeleteScalingPolicy_1.DeleteScalingPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteScalingPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteScalingPolicyCommand;
}());
exports.DeleteScalingPolicyCommand = DeleteScalingPolicyCommand;
//# sourceMappingURL=DeleteScalingPolicyCommand.js.map