import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeregisterScalableTargetInput } from "../types/DeregisterScalableTargetInput";
import { DeregisterScalableTargetOutput } from "../types/DeregisterScalableTargetOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DeregisterScalableTargetInput";
export * from "../types/DeregisterScalableTargetOutput";
export * from "../types/DeregisterScalableTargetExceptionsUnion";
export declare class DeregisterScalableTargetCommand implements __aws_sdk_types.Command<InputTypesUnion, DeregisterScalableTargetInput, OutputTypesUnion, DeregisterScalableTargetOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DeregisterScalableTargetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeregisterScalableTargetInput, DeregisterScalableTargetOutput, Blob>;
    constructor(input: DeregisterScalableTargetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DeregisterScalableTargetInput, DeregisterScalableTargetOutput>;
}
