import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeScalingActivitiesInput } from "../types/DescribeScalingActivitiesInput";
import { DescribeScalingActivitiesOutput } from "../types/DescribeScalingActivitiesOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DescribeScalingActivitiesInput";
export * from "../types/DescribeScalingActivitiesOutput";
export * from "../types/DescribeScalingActivitiesExceptionsUnion";
export declare class DescribeScalingActivitiesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeScalingActivitiesInput, OutputTypesUnion, DescribeScalingActivitiesOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DescribeScalingActivitiesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeScalingActivitiesInput, DescribeScalingActivitiesOutput, Blob>;
    constructor(input: DescribeScalingActivitiesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DescribeScalingActivitiesInput, DescribeScalingActivitiesOutput>;
}
