import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeScalingPoliciesInput } from "../types/DescribeScalingPoliciesInput";
import { DescribeScalingPoliciesOutput } from "../types/DescribeScalingPoliciesOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DescribeScalingPoliciesInput";
export * from "../types/DescribeScalingPoliciesOutput";
export * from "../types/DescribeScalingPoliciesExceptionsUnion";
export declare class DescribeScalingPoliciesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeScalingPoliciesInput, OutputTypesUnion, DescribeScalingPoliciesOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DescribeScalingPoliciesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeScalingPoliciesInput, DescribeScalingPoliciesOutput, Blob>;
    constructor(input: DescribeScalingPoliciesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DescribeScalingPoliciesInput, DescribeScalingPoliciesOutput>;
}
