import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeScheduledActionsInput } from "../types/DescribeScheduledActionsInput";
import { DescribeScheduledActionsOutput } from "../types/DescribeScheduledActionsOutput";
import { ApplicationAutoScalingResolvedConfiguration } from "../ApplicationAutoScalingConfiguration";
export * from "../types/DescribeScheduledActionsInput";
export * from "../types/DescribeScheduledActionsOutput";
export * from "../types/DescribeScheduledActionsExceptionsUnion";
export declare class DescribeScheduledActionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeScheduledActionsInput, OutputTypesUnion, DescribeScheduledActionsOutput, ApplicationAutoScalingResolvedConfiguration, Blob> {
    readonly input: DescribeScheduledActionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeScheduledActionsInput, DescribeScheduledActionsOutput, Blob>;
    constructor(input: DescribeScheduledActionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ApplicationAutoScalingResolvedConfiguration): __aws_sdk_types.Handler<DescribeScheduledActionsInput, DescribeScheduledActionsOutput>;
}
