"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeScalingActivitiesInput_1 = require("../shapes/DescribeScalingActivitiesInput");
var DescribeScalingActivitiesOutput_1 = require("../shapes/DescribeScalingActivitiesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeScalingActivities = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeScalingActivities",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeScalingActivitiesInput_1.DescribeScalingActivitiesInput
    },
    output: {
        shape: DescribeScalingActivitiesOutput_1.DescribeScalingActivitiesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=DescribeScalingActivities.js.map