"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutScalingPolicyInput_1 = require("../shapes/PutScalingPolicyInput");
var PutScalingPolicyOutput_1 = require("../shapes/PutScalingPolicyOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ObjectNotFoundException_1 = require("../shapes/ObjectNotFoundException");
var ConcurrentUpdateException_1 = require("../shapes/ConcurrentUpdateException");
var FailedResourceAccessException_1 = require("../shapes/FailedResourceAccessException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutScalingPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutScalingPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutScalingPolicyInput_1.PutScalingPolicyInput
    },
    output: {
        shape: PutScalingPolicyOutput_1.PutScalingPolicyOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ObjectNotFoundException_1.ObjectNotFoundException
        },
        {
            shape: ConcurrentUpdateException_1.ConcurrentUpdateException
        },
        {
            shape: FailedResourceAccessException_1.FailedResourceAccessException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=PutScalingPolicy.js.map