"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteScalingPolicyInput = {
    type: "structure",
    required: [
        "PolicyName",
        "ServiceNamespace",
        "ResourceId",
        "ScalableDimension"
    ],
    members: {
        PolicyName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DeleteScalingPolicyInput.js.map