"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteScheduledActionInput = {
    type: "structure",
    required: [
        "ServiceNamespace",
        "ScheduledActionName",
        "ResourceId",
        "ScalableDimension"
    ],
    members: {
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ScheduledActionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DeleteScheduledActionInput.js.map