"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceIdsMaxLen1600_1 = require("./_ResourceIdsMaxLen1600");
exports.DescribeScheduledActionsInput = {
    type: "structure",
    required: ["ServiceNamespace"],
    members: {
        ScheduledActionNames: {
            shape: _ResourceIdsMaxLen1600_1._ResourceIdsMaxLen1600
        },
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        MaxResults: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeScheduledActionsInput.js.map