"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StepScalingPolicyConfiguration_1 = require("./_StepScalingPolicyConfiguration");
var _TargetTrackingScalingPolicyConfiguration_1 = require("./_TargetTrackingScalingPolicyConfiguration");
exports.PutScalingPolicyInput = {
    type: "structure",
    required: [
        "PolicyName",
        "ServiceNamespace",
        "ResourceId",
        "ScalableDimension"
    ],
    members: {
        PolicyName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        PolicyType: {
            shape: {
                type: "string"
            }
        },
        StepScalingPolicyConfiguration: {
            shape: _StepScalingPolicyConfiguration_1._StepScalingPolicyConfiguration
        },
        TargetTrackingScalingPolicyConfiguration: {
            shape: _TargetTrackingScalingPolicyConfiguration_1._TargetTrackingScalingPolicyConfiguration
        }
    }
};
//# sourceMappingURL=PutScalingPolicyInput.js.map