"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ScalableTargetAction_1 = require("./_ScalableTargetAction");
exports.PutScheduledActionInput = {
    type: "structure",
    required: [
        "ServiceNamespace",
        "ScheduledActionName",
        "ResourceId",
        "ScalableDimension"
    ],
    members: {
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        Schedule: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScheduledActionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        ScalableTargetAction: {
            shape: _ScalableTargetAction_1._ScalableTargetAction
        }
    }
};
//# sourceMappingURL=PutScheduledActionInput.js.map