"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterScalableTargetInput = {
    type: "structure",
    required: ["ServiceNamespace", "ResourceId", "ScalableDimension"],
    members: {
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        MinCapacity: {
            shape: {
                type: "integer"
            }
        },
        MaxCapacity: {
            shape: {
                type: "integer"
            }
        },
        RoleARN: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=RegisterScalableTargetInput.js.map