"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ScalingActivity = {
    type: "structure",
    required: [
        "ActivityId",
        "ServiceNamespace",
        "ResourceId",
        "ScalableDimension",
        "Description",
        "Cause",
        "StartTime",
        "StatusCode"
    ],
    members: {
        ActivityId: {
            shape: {
                type: "string"
            }
        },
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Cause: {
            shape: {
                type: "string"
            }
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        StatusCode: {
            shape: {
                type: "string"
            }
        },
        StatusMessage: {
            shape: {
                type: "string"
            }
        },
        Details: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ScalingActivity.js.map