"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ScalableTargetAction_1 = require("./_ScalableTargetAction");
exports._ScheduledAction = {
    type: "structure",
    required: [
        "ScheduledActionName",
        "ScheduledActionARN",
        "ServiceNamespace",
        "Schedule",
        "ResourceId",
        "CreationTime"
    ],
    members: {
        ScheduledActionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScheduledActionARN: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ServiceNamespace: {
            shape: {
                type: "string"
            }
        },
        Schedule: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalableDimension: {
            shape: {
                type: "string"
            }
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        ScalableTargetAction: {
            shape: _ScalableTargetAction_1._ScalableTargetAction
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_ScheduledAction.js.map