"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ApplicationAutoScalingClient_1 = require("../../ApplicationAutoScalingClient");
var DescribeScalableTargetsCommand_1 = require("../../commands/DescribeScalableTargetsCommand");
describe("@aws-sdk/client-application-auto-scaling-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeScalableTargets should succeed when given correct input", function (done) {
        var client = new ApplicationAutoScalingClient_1.ApplicationAutoScalingClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeScalableTargets = new DescribeScalableTargetsCommand_1.DescribeScalableTargetsCommand({
            ServiceNamespace: "ec2"
        });
        client
            .send(describeScalableTargets)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map